curl --request POST \
--url https://app.kapso.ai/api/v1/whatsapp_templates/{template_id}/send_template \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template": {
"phone_number": "+123456789012",
"template_parameters": [
"John Smith",
"Tomorrow at 2 PM"
]
}
}
'{
"status": "success",
"message": "Template message sent successfully",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"response": {}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Template requires 2 parameters, but 1 were provided"
}{
"status": "error",
"message": "Failed to send template message: API Error"
}WhatsApp Templates
Send a WhatsApp template message
Sends a WhatsApp template message to a specified phone number
POST
/
whatsapp_templates
/
{template_id}
/
send_template
curl --request POST \
--url https://app.kapso.ai/api/v1/whatsapp_templates/{template_id}/send_template \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template": {
"phone_number": "+123456789012",
"template_parameters": [
"John Smith",
"Tomorrow at 2 PM"
]
}
}
'{
"status": "success",
"message": "Template message sent successfully",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"response": {}
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Template requires 2 parameters, but 1 were provided"
}{
"status": "error",
"message": "Failed to send template message: API Error"
}Authorizations
API key required for all endpoints
Path Parameters
Body
application/json
Show child attributes
Show child attributes

